import { ReplicateRequestOptions } from "./helpers/makeApiRequest";
export type CancelPredictionOptions = {
    /** The id of a prediction */
    id: string;
} & ReplicateRequestOptions;
/** Cancel a running prediction.
 * ```typescript
 * const result = await cancelPrediction({
 *   id: "ID of your prediction",
 *   token: "Get your token at https://replicate.com/account"
 * })
 * ```
 * If you have a `PredictionState`, you don't have to use this function, just call `.cancel()` on that object.
 *
 * @returns A `PredictionState` representing the new state.
 */
export declare const cancelPrediction: (options: CancelPredictionOptions) => Promise<import("./").PredictionState>;
