import { getPrediction } from "./getPrediction.js";
import { makeApiRequest } from "./helpers/makeApiRequest.js";
/** Cancel a running prediction.
 * ```typescript
 * const result = await cancelPrediction({
 *   id: "ID of your prediction",
 *   token: "Get your token at https://replicate.com/account"
 * })
 * ```
 * If you have a `PredictionState`, you don't have to use this function, just call `.cancel()` on that object.
 *
 * @returns A `PredictionState` representing the new state.
 */
export const cancelPrediction = async (options) => {
    await makeApiRequest(options, "POST", `predictions/${options.id}/cancel`);
    return await getPrediction(options);
};
