import { ReplicateRequestOptions } from "./helpers/makeApiRequest";
export type GetPredictionOptions = {
    /** The ID of a prediction */
    id: string;
} & ReplicateRequestOptions;
/** Get the `PredictionState` for a given ID.
 *
 * ```typescript
 * const result = await getPrediction({
 *   id: "ID of your prediction",
 *   token: "Get your token at https://replicate.com/account"
 * })
 * ```
 *
 * @returns A new `PredictionState`.
 */
export declare const getPrediction: (options: GetPredictionOptions) => Promise<import("./helpers/convertPrediction").PredictionState>;
