import { convertPrediction } from "./helpers/convertPrediction.js";
import { makeApiRequest } from "./helpers/makeApiRequest.js";
/** Get the `PredictionState` for a given ID.
 *
 * ```typescript
 * const result = await getPrediction({
 *   id: "ID of your prediction",
 *   token: "Get your token at https://replicate.com/account"
 * })
 * ```
 *
 * @returns A new `PredictionState`.
 */
export const getPrediction = async (options) => {
    const response = await makeApiRequest(options, "GET", `predictions/${options.id}`);
    return convertPrediction(options, response);
};
