import { PredictionResponse, PredictionState } from "./convertPrediction";
import { ReplicateRequestOptions } from "./makeApiRequest";
/** List does not return full predictions. This is the type for those response elements */
export type ShallowPredictionResponse = Pick<PredictionResponse, "id" | "version" | "created_at" | "started_at" | "completed_at" | "status">;
/** Status of a prediction without the actual results
 *
 * You can use `.get()` to get the full `PredictionState`.
 */
export type ShallowPredictionState = Pick<PredictionState, "id" | "version" | "createdAt" | "startedAt" | "completedAt" | "status" | "get" | "cancel" | "poll">;
/** Convert prediction list entries from replicate to a more idiomatic TypeScript object.
 *
 * Also adds `get()`, `cancel()` and `poll()` methods.
 */
export declare const convertShallowPrediction: (options: ReplicateRequestOptions, prediction: ShallowPredictionResponse) => ShallowPredictionState;
