import { cancelPrediction } from "../cancelPrediction.js";
import { getPrediction } from "../getPrediction.js";
import { pollPrediction } from "../pollPrediction.js";
/** Convert prediction list entries from replicate to a more idiomatic TypeScript object.
 *
 * Also adds `get()`, `cancel()` and `poll()` methods.
 */
export const convertShallowPrediction = (options, prediction) => {
    const PredictionState = {
        id: prediction.id,
        version: prediction.version,
        get: async () => await getPrediction({ ...options, id: prediction.id }),
        cancel: async () => await cancelPrediction({ ...options, id: prediction.id }),
        poll: async (timeout) => await pollPrediction({ ...options, id: prediction.id, timeout: timeout }),
        createdAt: prediction.created_at ? new Date(prediction.created_at) : undefined,
        startedAt: prediction.started_at ? new Date(prediction.started_at) : undefined,
        completedAt: prediction.completed_at ? new Date(prediction.completed_at) : undefined,
        status: prediction.status,
    };
    return PredictionState;
};
