import { convertPrediction } from "./helpers/convertPrediction.js";
/** Convert the body of a replicate callback to a `PredictionState`.
 *
 * When creating a prediction you can set a URL that will be called by replicate once the prediction is completed. This function can take the body of that request and converts it to a `PredictionState`.
 */
export const processWebhook = (options) => {
    const { body } = options;
    if (typeof body !== "object" ||
        !body ||
        typeof body["id"] !== "string" ||
        typeof body["created_at"] !== "string") {
        throw new Error("You need to pass a valid PredictionResponse");
    }
    return convertPrediction(options, body);
};
